# 32/64bit spec-file
#
# PCLinuxOS Copyright by Bill Reynolds (Texstar)
 
Summary: ShowImage is a simple KDE5 based image viewer
Name:    showimage
Version: 1.10
Release: %mkrel 3
License: GPL
Group:   Graphical desktop/KDE5
Source:  %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: kf5-macros
BuildRequires: cmake 
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: qtbase5-common-devel


%description
ShowImage is a simple KDE based image viewer using the maximum space inside its window
without cluttering the window with menubar, toolbar or statusbar.
You simply act via the keyboard (rotate, zoom, etc.) or via the context menu (right mouse click).
You can view a single image or browse through a full directory, optionally in fullscreen mode.

 
#================= PREP ==================
%prep
%setup -q
 
%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/ $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%find_lang %{name}
 
 
 
%clean
rm -rf $RPM_BUILD_ROOT
 
#================= FILES ==================
%files
%defattr(-,root,root)
%{_bindir}
%{_datadir}

 
#================= CHANGELOG ==================
%changelog
* Mon Sep 19 2022 tex - 1.10-3pclos2022
- rebuild against updates

* Wed Feb 06 2019 tex - 1.10-2pclos2019
- rebuild against updates

* Mon Mar 06 2017 bb2 <bb2> - 1.10.0-1pclos2017
- new version

* Wed Jun 05 2013 Texstar <texstar at gmail.com> 1.8.1-1pclos2013
- 1.8.1

* Sat May 18 2013 Texstar <texstar at gmail.com> 1.8-2pclos2013
- fix rpmgroup

* Tue Apr 16 2013 Texstar <texstar at gmail.com> 1.8-1pclos2013
- 1.8

* Thu Feb 28 2013 daniel <meisssw01 at gmail.com> 1.6.3-1leiche2013
initial package
